> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kapso.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule broadcast

> Schedule a broadcast to send at a future time. The broadcast must be in draft status and have recipients.



## OpenAPI

````yaml /api/platform/v1/openapi-platform.yaml post /whatsapp/broadcasts/{broadcast_id}/schedule
openapi: 3.1.0
info:
  title: Kapso Platform API
  version: 0.2.0
  description: >
    Build WhatsApp messaging into your product. Manage customers, connect phone
    numbers, send broadcasts, and handle conversations.
servers:
  - url: https://api.kapso.ai/platform/v1
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Customers
    description: Manage customer accounts
  - name: Setup Links
    description: WhatsApp onboarding via embedded signup
  - name: Phone Numbers
    description: Connect and manage WhatsApp numbers
  - name: Webhooks
    description: Subscribe to WhatsApp events
  - name: Display Names
    description: Update WhatsApp business display names
  - name: Broadcasts
    description: |
      Send template messages at scale

      **Alpha**: This API is in alpha and subject to change
  - name: Conversations
    description: Manage conversation state
  - name: Media
    description: Upload media files for WhatsApp messaging
  - name: Users
    description: Manage project team members
  - name: Inbox Embeds
    description: Create and manage embeddable inbox access links
  - name: Webhook Deliveries
    description: View webhook delivery attempts and their status
  - name: External API Logs
    description: View logs of external API calls made by the project
  - name: Log Search
    description: Search Logs V2 events across API, Meta, workflow, and webhook sources
  - name: Provider Models
    description: List available AI provider models
  - name: WhatsApp Flows
    description: Build interactive WhatsApp Flows for surveys and forms
  - name: Contacts
    description: Manage WhatsApp contacts
paths:
  /whatsapp/broadcasts/{broadcast_id}/schedule:
    parameters:
      - name: broadcast_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    post:
      tags:
        - Broadcasts
      summary: Schedule broadcast
      description: >-
        Schedule a broadcast to send at a future time. The broadcast must be in
        draft status and have recipients.
      operationId: scheduleWhatsappBroadcast
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - scheduled_at
              properties:
                scheduled_at:
                  type: string
                  format: date-time
                  description: ISO-8601 timestamp with timezone. Must be in the future.
            examples:
              schedule:
                value:
                  scheduled_at: '2025-10-12T17:00:00Z'
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsappBroadcastSendResponse'
              examples:
                scheduled:
                  value:
                    data:
                      id: 5f6a7b8c-9d0e-1f2a-3b4c-5d6e7f8a9b0c
                      status: scheduled
                      scheduled_at: '2025-10-12T17:00:00Z'
                      started_at: null
                      stopped_at: null
                      completed_at: null
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  schemas:
    WhatsappBroadcastSendResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: object
          required:
            - id
            - status
          properties:
            id:
              type: string
              format: uuid
            status:
              type: string
            scheduled_at:
              type:
                - string
                - 'null'
              format: date-time
            started_at:
              type:
                - string
                - 'null'
              format: date-time
            stopped_at:
              type:
                - string
                - 'null'
              format: date-time
            completed_at:
              type:
                - string
                - 'null'
              format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    UnauthorizedError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ValidationError:
      description: Request validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````